// 从原项目的 @/mixins/index.js 提取出来（有用到的）

import http from "@/api/http";
// 显示时间为 2021.07.22 
export function formatter(row,column,cellvalue){
  return cellvalue ? http.dateFormatter(cellvalue) : '';
}

// 显示时间为 2021.07.22 
export function formatTime(time){
  if(time==='0001-01-01 00:00:00'||time==='0000-00-00 00:00:00'){
    return '--'
  }else{
    return time.replace(/-/g,'.')
  }
}

//  格式化金额 三位一个逗号
export function formatPriceHasPoint(e){
  let str=e.toString()
  let num1='',num2=''
  if(str.indexOf(".")!=-1){
    num1=str.substring(0,str.indexOf("."))
    num2=str.substring(str.length,str.indexOf("."))
    if(Number(num2)<=0){
      num2=''
    }
  }else{
    num1=str
  }
  return num1.replace(/(?!^)(?=(\d{3})+$)/g, ',')+num2
}